%define subrel 1

%define oname UPower

%define major 1
%define libname %mklibname upower-glib %{major}
%define develname %mklibname -d upower-glib

%define gi_major 1.0
%define girname %mklibname %{name}-gir %{gi_major}

%define git_url git://anongit.freedesktop.org/DeviceKit/upower

Name: upower
Version: 0.9.23
Release: %mkrel 1
Summary: Power Management Service
License: GPLv2+
Group: System/Kernel and hardware
URL:     http://upower.freedesktop.org/
Source0: http://upower.freedesktop.org/releases/%{name}-%{version}.tar.xz
# https://bugs.launchpad.net/bugs/1240673
Patch0: upower-0.9.23-percentage_over_100.patch
Provides: %{oname} = %{version}-%{release}
BuildRequires: libgudev-devel
BuildRequires: glib2-devel 
BuildRequires: dbus-devel 
BuildRequires: dbus-glib-devel
BuildRequires: polkit-1-devel >= 0.91
BuildRequires: sqlite-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel
BuildRequires: libxslt-proc
BuildRequires: docbook-style-xsl
BuildRequires: gtk-doc >= 1.3
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(libimobiledevice-1.0) >= 0.9.7
BuildRequires: pkgconfig(libplist) >= 0.12
BuildRequires: systemd-devel

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
%ifarch %{ix86} x86_64
Requires:  suspend
%endif
Obsoletes: devicekit-power
Provides:  devicekit-power

%description
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n %{libname}
Summary: Shared Library of %{oname}
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %{libname}
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.


%package -n %{develname}
Summary: Headers and libraries for %{oname}
Group: Development/C
Provides: %{oname}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}
Requires: %{libname} = %{version}-%{release}
#gw libtool dep
Requires: libusb-devel

%description -n %{develname}
Headers and libraries for %{oname}

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-gtk-doc \
	--disable-static
make

%install
%makeinstall_std udevrulesdir=%{_udevrulesdir}

# Remove .la files
rm -fr %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%post
REENABLE=no
if [ -L %{_sysconfdir}/systemd/system/graphical.target.wants/upowerd.service ]; then
  REENABLE=yes
  %{__rm} -f %{_sysconfdir}/systemd/system/graphical.target.wants/upowerd.service
fi
%_post_service upower
if [ "$REENABLE" = "yes" ]; then
  %{_bindir}/systemctl --quiet enable upower.service
fi

%preun
%_preun_service upower

%files -f %{name}.lang
%doc README AUTHORS NEWS HACKING
%dir %{_sysconfdir}/UPower/
%config(noreplace) %{_sysconfdir}/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_udevrulesdir}/*.rules
%dir %{_localstatedir}/lib/upower

%{_bindir}/*
%{_libexecdir}/upowerd

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service

%{_unitdir}/upower.service
%{_unitdir}-sleep/notify-upower.sh

%files -n %{libname}
%{_libdir}/libupower-glib.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/UPowerGlib-%{gi_major}.typelib

%files -n %{develname}
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-1.0/UPowerGlib-1.0.gir
%{_includedir}/libupower-glib


%changelog
* Fri Feb 14 2014 sander85 <sander85> 0.9.23-1.1.mga4
+ Revision: 591378
- Fix upower showing full battery as empty

* Thu Nov 07 2013 luigiwalser <luigiwalser> 0.9.23-1.mga4
+ Revision: 549889
- 0.9.23

* Mon Oct 21 2013 umeabot <umeabot> 0.9.22-2.mga4
+ Revision: 540576
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 0.9.22-1.mga4
+ Revision: 493995
- 0.9.22

* Thu Aug 08 2013 luigiwalser <luigiwalser> 0.9.21-1.mga4
+ Revision: 464823
- 0.9.21
- drop systemd patch (not needed anymore according to coling)

* Thu Jun 13 2013 fwang <fwang> 0.9.20-2.mga4
+ Revision: 442349
- update new udev rulesdir
- rebuild for new libimobiledevices

* Fri May 24 2013 luigiwalser <luigiwalser> 0.9.20-1.mga4
+ Revision: 426730
- 0.9.20

* Wed May 08 2013 colin <colin> 0.9.19-3.mga3
+ Revision: 412658
- Fix transition to new unit name. mga#9881

* Mon Jan 14 2013 umeabot <umeabot> 0.9.19-2.mga3
+ Revision: 385083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.9.19-1.mga3
+ Revision: 338722
- 0.9.19

* Wed Jan 02 2013 pterjan <pterjan> 0.9.18-7.mga3
+ Revision: 337477
- Fix for _libdir != _libexecdir

* Thu Dec 13 2012 rtp <rtp> 0.9.18-6.mga3
+ Revision: 330098
- require suspend only on intel arches as it needs libx86

* Thu Dec 06 2012 colin <colin> 0.9.18-5.mga3
+ Revision: 327196
- Allow suspend operations to be presented when pm-utils is not installed

* Tue Oct 16 2012 colin <colin> 0.9.18-4.mga3
+ Revision: 307351
- Drop pm-utils requirement as upower uses systemd for suspend these days

* Thu Oct 04 2012 colin <colin> 0.9.18-3.mga3
+ Revision: 302727
- BuildRequire systemd-devel to use systemd for suspend/resume
- Remove optional systemd support (it's now mandatory)

* Sun Sep 09 2012 wally <wally> 0.9.18-2.mga3
+ Revision: 291165
- rebuild due to a missing i586 pkg

* Sat Sep 08 2012 dmorgan <dmorgan> 0.9.18-1.mga3
+ Revision: 290075
- New version

* Tue Aug 07 2012 wally <wally> 0.9.17-2.mga3
+ Revision: 279847
- rebuild for new libimobiledevice

* Sun Jul 29 2012 fwang <fwang> 0.9.17-1.mga3
+ Revision: 275709
- update file list
- update file liste
- new version 0.9.17

* Sat Apr 28 2012 tmb <tmb> 0.9.15-2.mga2
+ Revision: 233893
- Require rpm-helper >= 0.24.8-1 for systemd support

  + dmorgan <dmorgan>
    - Add suspend as requires

* Sat Jan 28 2012 tv <tv> 0.9.15-1.mga2
+ Revision: 202447
- new release

* Thu Dec 08 2011 dmorgan <dmorgan> 0.9.14-11.mga2
+ Revision: 178959
- Create missing %%{_localstatedir}/lib/upower folder

* Fri Nov 04 2011 dmorgan <dmorgan> 0.9.14-10.mga2
+ Revision: 162976
- Fix upowerd in systemd service file

* Tue Nov 01 2011 dmorgan <dmorgan> 0.9.14-9.mga2
+ Revision: 160955
- Fix scriplets ( mdv)

* Sun Oct 30 2011 blino <blino> 0.9.14-8.mga2
+ Revision: 159915
- do not require systemd in post, basesystem should have already taken care of that

* Sat Oct 29 2011 dmorgan <dmorgan> 0.9.14-7.mga2
+ Revision: 159677
- Fix scriplets
- Try to fix systemd support

* Thu Oct 13 2011 dmorgan <dmorgan> 0.9.14-5.mga2
+ Revision: 154182
- Disable systemd support for the moment

* Wed Oct 12 2011 dmorgan <dmorgan> 0.9.14-3.mga2
+ Revision: 154157
- Fix typo in if statement

* Wed Oct 12 2011 dmorgan <dmorgan> 0.9.14-2.mga2
+ Revision: 154115
- Add systemd support

* Tue Oct 11 2011 tv <tv> 0.9.14-1.mga2
+ Revision: 153957
- new release
- drop patch 0 (merge)

* Thu Sep 29 2011 mikala <mikala> 0.9.13-2.mga2
+ Revision: 150213
- Add patch0 from upstream ( filter all debug messages unless --verbose is used)

* Thu Sep 08 2011 wally <wally> 0.9.13-1.mga2
+ Revision: 141469
- new version 0.9.13
- enable imobiledevice support

* Thu Jul 07 2011 dmorgan <dmorgan> 0.9.12-2.mga2
+ Revision: 119832
- Split gir files outside lib package

* Mon Jul 04 2011 dmorgan <dmorgan> 0.9.12-1.mga2
+ Revision: 118492
- New version 0.9.12

* Wed Jun 08 2011 dmorgan <dmorgan> 0.9.11-1.mga2
+ Revision: 101752
- New version 0.9.11

* Wed Apr 13 2011 tv <tv> 0.9.9-1.mga1
+ Revision: 84185
- no more devkit-power-daemon
- new release

* Thu Jan 20 2011 pterjan <pterjan> 0.9.8-1.mga1
+ Revision: 25134
- Remove everything related to old name
- Update to 0.9.8
- Drop old Obsoletes
- imported package upower

